Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRExpression

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Implementing Classes:
  JRBaseExpression, JRDesignExpression

    public interface JRExpression

extends JRCloneable

Version:
  $Id: JRExpression.java 3676 2010-04-02 09:35:07Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `EVALUATION_DEFAULT`
`static byte` | `EVALUATION_ESTIMATED`
`static byte` | `EVALUATION_OLD`
`static byte` | `EVALUATION_TIME_AUTO` Deprecated. Replaced by `EvaluationTimeEnum.AUTO`.
`static byte` | `EVALUATION_TIME_BAND` Deprecated. Replaced by `EvaluationTimeEnum.BAND`.
`static byte` | `EVALUATION_TIME_COLUMN` Deprecated. Replaced by `EvaluationTimeEnum.COLUMN`.
`static byte` | `EVALUATION_TIME_GROUP` Deprecated. Replaced by `EvaluationTimeEnum.GROUP`.
`static byte` | `EVALUATION_TIME_NOW` Deprecated. Replaced by `EvaluationTimeEnum.NOW`.
`static byte` | `EVALUATION_TIME_PAGE` Deprecated. Replaced by `EvaluationTimeEnum.PAGE`.
`static byte` | `EVALUATION_TIME_REPORT` Deprecated. Replaced by `EvaluationTimeEnum.REPORT`.
`static java.lang.Integer` | `NOT_USED_ID` Dummy ID that is assigned to expression that are not used (and not collected).

Method Summary
`JRExpressionChunk[]` | `getChunks()`
`int` | `getId()`
`java.lang.String` | `getText()`
`java.lang.Class` | `getValueClass()` Returns the expression return value class.
`java.lang.String` | `getValueClassName()` Returns the expression return value class.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### EVALUATION_TIME_NOW

    static final byte EVALUATION_TIME_NOW

  Deprecated. Replaced by `EvaluationTimeEnum.NOW`.
  A constant specifying that an expression should be evaluated at the exact moment in the filling process when it is encountered.

  See Also:
    Constant Field Values

### EVALUATION_TIME_REPORT

    static final byte EVALUATION_TIME_REPORT

  Deprecated. Replaced by `EvaluationTimeEnum.REPORT`.
  A constant specifying that an expression should be evaluated at the end of the filling process.

  See Also:
    Constant Field Values

### EVALUATION_TIME_PAGE

    static final byte EVALUATION_TIME_PAGE

  Deprecated. Replaced by `EvaluationTimeEnum.PAGE`.
  A constant specifying that an expression should be evaluated after each page is filled.

  See Also:
    Constant Field Values

### EVALUATION_TIME_COLUMN

    static final byte EVALUATION_TIME_COLUMN

  Deprecated. Replaced by `EvaluationTimeEnum.COLUMN`.
  A constant specifying that an expression should be evaluated after each column is filled.

  See Also:
    Constant Field Values

### EVALUATION_TIME_GROUP

    static final byte EVALUATION_TIME_GROUP

  Deprecated. Replaced by `EvaluationTimeEnum.GROUP`.
  A constant specifying that an expression should be evaluated after each group break.

  See Also:
    Constant Field Values

### EVALUATION_TIME_BAND

    static final byte EVALUATION_TIME_BAND

  Deprecated. Replaced by `EvaluationTimeEnum.BAND`.
  The element will be evaluated at band end.

  See Also:
    Constant Field Values

### EVALUATION_TIME_AUTO

    static final byte EVALUATION_TIME_AUTO

  Deprecated. Replaced by `EvaluationTimeEnum.AUTO`.
  Evaluation time indicating that each variable participating in the expression should be evaluated at a time decided by the engine.

  Variables will be evaluated at a time corresponding to their reset type. Fields are evaluated "now", i.e. at the time the band the element lies on gets filled.

  This evaluation type should be used when report elements having expressions that combine values evaluated at different times are required (e.g. percentage out of a total).

  NB: avoid using this evaluation type when other types suffice as it can lead to performance loss.

  See Also:
    Constant Field Values

### EVALUATION_OLD

    static final byte EVALUATION_OLD

See Also:
  Constant Field Values

### EVALUATION_ESTIMATED

    static final byte EVALUATION_ESTIMATED

See Also:
  Constant Field Values

### EVALUATION_DEFAULT

    static final byte EVALUATION_DEFAULT

See Also:
  Constant Field Values

### NOT_USED_ID

    static final java.lang.Integer NOT_USED_ID

  Dummy ID that is assigned to expression that are not used (and not collected).

Method Detail

### getValueClass

    java.lang.Class getValueClass()

  Returns the expression return value class.

### getValueClassName

    java.lang.String getValueClassName()

  Returns the expression return value class.

### getId

    int getId()

### getChunks

    JRExpressionChunk[] getChunks()

### getText

    java.lang.String getText()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com